const PageHeaderActions = {
    actionObject(title, icon, classes, className, callbackProp, content, type, actOn, options, selected,optionvalue,optionlabel,optionSelectionLabel) {
        return {
            title: title,
            icon: icon,
            classes: classes,
            className: className,
            content: content,
            type: type,
            actOn: actOn,
            props: callbackProp,
            options: options,
            selected: selected,
            optionvalue: optionvalue,
            optionlabel:optionlabel,
            optionSelectionLabel:optionSelectionLabel
        }
    },


actionButtonObject(title, icon, classes, callbackProp) {
    return this.actionObject(title, icon, classes, undefined, callbackProp, undefined, "buttonv2", "click", undefined, undefined,undefined,undefined);
},


actionTagObject(title, content, className) {
    return this.actionObject(title, undefined, undefined, className, undefined, content, "tagv2", "click", undefined, undefined,undefined,undefined);
},


actionDropDownObject(title, options, callbackProp, selected, classes,optionvalue ,optionlabel ,optionSelectionLabel) {


    return this.actionObject(title, undefined, classes, undefined, callbackProp, undefined, "dropdown", "select", options, selected,optionvalue,optionlabel,optionSelectionLabel);
},

actionCalendarObject(title,  callbackProp, selected, classes) {
    return this.actionObject(title, undefined, classes, classes, callbackProp, undefined, "calendar", "select", undefined, selected,undefined,undefined);
},
actionDivider(title) {
    return this.actionObject(title, undefined, undefined, undefined, undefined, undefined, "divider", undefined, undefined, undefined,undefined,undefined);
}

};

export default PageHeaderActions;